Page MenuHomePhabricator

Add logging to RenameuserSQL
Closed, ResolvedPublic

Description

Rename requests through Special:GlobalRenameRequest should be logged locally as well as on Meta. The history should be logged on the special page as well. This is probably best achieved by adding logging to RenameuserSQL.

First, investigate potential side effects.

Then, do.

Event Timeline

Keegan created this task.Feb 16 2015, 11:22 PM
Keegan updated the task description. (Show Details)
Keegan raised the priority of this task from to High.
Keegan added a project: SUL-Finalization.
Keegan added subscribers: Keegan, hoo, Legoktm, bd808.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 16 2015, 11:22 PM
hoo set Security to None.
Savh added a subscriber: Savh.Feb 16 2015, 11:27 PM
Legoktm claimed this task.Mar 18 2015, 4:56 PM
Legoktm added a project: MediaWiki-Core-Team.

Change 197681 had a related patch set uploaded (by Legoktm):
Move logging inside of RenameuserSQL

https://gerrit.wikimedia.org/r/197681

Change 197683 had a related patch set uploaded (by Legoktm):
Update for RenameuserSQL changes

https://gerrit.wikimedia.org/r/197683

Legoktm moved this task from To-do to Doing on the SUL-Finalization board.Mar 18 2015, 6:29 PM

Change 197681 merged by jenkins-bot:
Move logging inside of RenameuserSQL

https://gerrit.wikimedia.org/r/197681

Change 197683 merged by jenkins-bot:
Update for RenameuserSQL changes

https://gerrit.wikimedia.org/r/197683

Legoktm closed this task as Resolved.Mar 18 2015, 9:02 PM
Legoktm moved this task from Needs Review/Feedback to Done on the MediaWiki-Core-Team board.

Change 197981 had a related patch set uploaded (by Legoktm):
Move logging inside of RenameuserSQL

https://gerrit.wikimedia.org/r/197981

Change 197982 had a related patch set uploaded (by Legoktm):
Move logging inside of RenameuserSQL

https://gerrit.wikimedia.org/r/197982

Change 197981 merged by jenkins-bot:
Move logging inside of RenameuserSQL

https://gerrit.wikimedia.org/r/197981

Change 197982 merged by jenkins-bot:
Move logging inside of RenameuserSQL

https://gerrit.wikimedia.org/r/197982

Keegan moved this task from Doing to Done on the SUL-Finalization board.Mar 22 2015, 6:45 AM
bd808 moved this task from Done to Archive on the MediaWiki-Core-Team board.Mar 24 2015, 11:04 PM